@import url("tokens.css");
@import url("tiles.css");
@import url("menu.css");

* {
    box-sizing: border-box;
}

/* typografie */
body {
    font-size: var(--font-body);
    font-weight: 400;
    line-height: 140%;
    color: var(--color-text);
    font-family: "ROsansweb", Calibri, sans-serif;
    margin: 0;
}



h1 {
    font-size: var(--font-h1);
    font-weight: 700;
}

h2,
.h2-styling {
    font-size: var(--font-h2);
    font-weight: 700;
}

h3 {
    font-size: var(--font-h3);
}

h1, h2, h3 {
    line-height: 140%;
    color: var(--color-text);
      font-weight: 700;
}

h1, h2, h3, p {
  margin-top: 0;  
  margin-bottom: var(--gap-txt-xs);
}

p + h2, p + h3 {
  margin-top: var(--gap-obj-lg);
}

a {
    color: var(--color-link);
    text-decoration: underline;
}

div > p {
  margin: 0;
}

/* einde typografie */

/* componenten */
.b_btn {
    color: var(--color-btn);
    font-weight: 700;
    text-decoration: underline;
    font-size: var(--b_btn);
}

.a-skiplink {
    background-color: #fff;
    border: 2px solid #999;
    display: block;
    left: -1000em;
    padding: .5em;
    position: absolute;
    z-index: 10;
    transition: none;
}

.a-skiplink:focus-visible {
    left: 1em;
    top: 126px;
    z-index: 1000;
}

.themes {
    background: var(--color-bg-section);
}

.content-wrapper, #content {
    padding: var(--pad-obj-xl) var(--pad-obj-sm);
    box-sizing: content-box;
}

.content, #content {
    max-width: 1140px;
    margin: 0 auto;
}

/* einde componenten */

/* layout  */


#aspnetForm {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100vh;
}



.column {
    display: flex;
    flex-direction: column;

    &.align-center {
        align-items: center;
        justify-content: center;
    }
}

.row {
    display: flex;
    flex-direction: row;

    &.space-between {
        justify-content: space-between;
    }

    &.align-center {
        align-items: center;
    }

    &.justify-center {
        justify-content: center;
    }
}


/* einde layout */


/* begin custom styling */

.intro-block {
    background: var(--color-bg-section);
    padding: var(--pad-obj-sm);
    max-width: 755px;
    box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.15);

}


.banner {
    background: url("images/banner.png") no-repeat center center;
    background-size: cover; 

    img {
        width: 100%;
        height: 100%;
        object-fit: cover;     
    }
}

#newsoverview h2 {
    display: none;
}

.page_news #ctl00_QsPH_container_newsoverview h1,
#newslisttitle {
    color: var(--black);
    margin-bottom: var(--gap-txt-lg);
}

.newslist,
.newspreviews {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(100%, 1fr));
    grid-template-rows: auto;
    gap: var(--gap-obj-sm);

    li:not(.morelink) {
        box-shadow: 0px 0px 11px 0px rgba(0, 0, 0, 0.15);
        background-color: var(--color-bg-section);
        position: relative;

        .nieuwscontrol a {
            position: absolute;
            top: 0;
            left: 0;
            bottom: 0;
            right: 0;
            font-size: 0;
        }

        .nieuwstitel {
            display: flex;
            flex-direction: column-reverse;
        }

        h3 a, h3 {
                font-weight: 400;
                font-size: var(--font-news-h3); 
            }
            
            a:before {
                content: '';
                position: absolute;
                top: 0;
                left: 0;
                bottom: 0;
                right: 0;
            } 
        }
    }

    li:hover  {
        h3 a,
        h3 {
            color: var(--color-green-100);
            transition: all 0.2s ease-in-out;
            text-decoration: underline;
            text-decoration-color: var(--color-green-100);
        }

        .nieuwstitel h3 {
            color: var(--color-green-100);
            transition: all 0.2s ease-in-out;
            text-decoration: underline;
            text-decoration-color: var(--color-green-100);
        }
    }

    .newslistitem__image {
        height: 204.901px;
        width: 100%;

        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    }

    .morelink {
        margin-top: var(--gap-txt-xs);
        
        a {
            display: flex;
            align-items: center;
            gap: var(--gap-obj-xs);
            text-decoration: underline;
            font-weight: 700;

            &::after{
                content: url(images/arrow-right.svg);
                font-family: "Font Awesome 5 Pro";
                display: inline-block;
                color: var(--color-green-100);
                font-size: 24px;
                width: 21px;
                height: 24px;
                align-items: center;
                justify-content: center;
            }
        }
    }

    .listitem__title,
    .nieuwstitel {
        padding: var(--gap-obj-sm) var(--gap-obj-sm) 0px var(--gap-obj-sm);
        margin-bottom: var(--gap-txt-xs);
        
        a {
            color: var(--black);
            text-decoration: none;
        }

        .datumseparator {
            display: none;
        }
    }

    .newslistitem__preview {
        padding: 0px var(--gap-obj-sm) var(--gap-obj-sm) var(--gap-obj-sm);
    }

    .nieuwsdatum,
    time {
        font-weight: 700;
    }

    .poster {
        .nieuwsdatum,
        time {
            padding: 0px var(--gap-obj-sm);
        }
        
        .meta__separator,
        .postername,
        .newslistitem__readmore {
            display: none;
        }

        .newslistitem__preview.listitem__preview {
            margin-top: var(--gap-txt-xs);


            p {
                margin-bottom: unset;
                overflow: hidden;
                text-overflow: ellipsis;
                display: -webkit-box;
                -webkit-line-clamp: 6;
                -webkit-box-orient: vertical;
            }
        }
    }
}

.container_newsitem {
    max-width: 800px;
    margin: 0 auto;
    .postername {
        display: none;
    }

    #ctl00_QsPH_ctl00_image {
        max-height: 450px;

        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    }

    .newsdate {
        margin-bottom: var(--gap-obj-sm);
        font-weight: 700;
    }

    #ctl00_QsPH_ctl00_preface {
        margin-top: var(--gap-obj-sm);
        font-size: var(--font-intro-text);
        font-weight: 700;
    }
}

@media screen and (min-width: 500px) {
    .newslist,
    .newspreviews {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(311px, 1fr));
        grid-template-rows: auto;
        gap: var(--gap-obj-sm);
    }
}

@media screen and (min-width: 1140px) {

}